This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 39171 - CPAN modules have incorrect dependencies
CPAN modules have incorrect dependencies
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: perl-Perl-RPM (Show other bugs)
7.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Powers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-04 20:04 EDT by Vladimir Ivanovic
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-13 08:16:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vladimir Ivanovic 2001-05-04 20:04:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Several CPAN modules on the DMA CD-ROM have dependencies on files that
exist, but have a different pathname.

How reproducible:
Always

Steps to Reproduce:
1. cd /mnt/cdrom/CPAN/RPMS    #DMA CD-ROM
2. rpm -Uvh *.rpm
	

Actual Results:  error: failed dependencies:
	/usr/local/bin/perl   is needed by perl-Class-Contract-1.00-10
	/usr/bin/perl5   is needed by perl-Data-ShowTable-3.3-10
	/bin/env   is needed by perl-sitemapper-1.019-10
	/usr/bin/perl5   is needed by perl-SyslogScan-0.32-10


Expected Results:  Preparing...               
########################################### [100%]
<followed by the successful installation of all the CPAN RPMs.>

Additional info:
Comment 1 Tim Powers 2001-05-13 08:16:38 EDT
Those would be the few that I didn't catch when patching all the others *sigh*.

I'll make a note to fix those in the next release.

Tim

Note You need to log in before you can comment on or make changes to this bug.